Subject: CALSCH Action Items

From: Doug Royer <[email-masked]>
Date: Sun, 6 Aug 2000 00:00:03 -0700 (PDT)

This is a list of action items for the CALSCH Working Group.
This list will be sent out once a week and updated as often
as practical (That means if I am not available it may take
an extra week or two before you see your changes).

Updates should be sent to mailto:[email-masked] or to myself
mailto:[email-masked] .

There are three parts to this action list:

	(W) Working group action items.
	(C) CAP editor action items.
	(I) iCalendar action items (Frank Dawson)

Each action item will be assigned a unique ID that will aid in
tracking the items.

------------------------------------------------------------------------------

			Working Group Action Items   

Where Resolution is one of:

	U - undecided.
	Y - Chair determined consensus is in favor of the proposal.
	N - Chair determined consensus is NOT in favor of the proposal.
	D - Dropped. Chair has decided that it may never reach consensus.

 The following are a list of proposals and their status in the WG:
 
 WG Action Item					Resolution
 --------------					----------

 W-1 CAP Use HTTP as transport			N
 
 W-2 CAP If all booked and scheduled		Y
     appointments are in same table
 
 W-3 CAP Use SASL as authentication method	Y
 
 W-4 Add UID and COUNTER to VFREEBUSY		N 

 W-5 CAP Should CAPABILITY reply be sent	N
     as result of successful AUTHENTICATE
     and IDENTITY 

 W-6 Do we need to handle 'unscheduled
     event' as described by the SKI project?	N
     (In CAP - 'N', SKI to be a seperate
      project/draft as it will effect
      RFC2445,6,7)

 W-7 CAP Auto-logout Timer issues		
      Do we need one?				Y
      How long?					<variable>
      Can the server decide not to do this?	Y
  
 W-8 CAP Bounded Latency Issues			D
     <there were issues - I can't remember
     them>

 W-9 CAP MOVE method. Issues with VCARs.	Y
     [see note in CAP 7.2.1.5]
 
 W-10 CAP Text mandatory in all response	N
      codes
 
 W-11 CAP Text optional in response codes	Y
      (some response codes may have 
       mandatory data that follows)
       
 W-12 CAP Should parts of response code be	Y
      separated by ';'
      
 W-13 CAP Store Schema				Y
 
 W-14 CAP VEVENT Schema				Y
 
 W-15 CAP VTODO Schema				Y
 
 W-16 CAP VJOURNAL Schema			Y
 
 W-17 CAP VCAR Schema				Y

 W-18 CAP UPN definition, including anonymous	Y
      user and how UPN's are used in LDAP and
      certificates.
 
 W-19 CAP Group definitions, dynamic and	Y
      static and how groups are used in VCARs.
      Policy definitions, in a VCAR format.

 W-20 Associating UPN values with CREATED	N
      and LAST-MODIFIED properties.

 W-21 CAP Get/Set calendar user properties	N

 W-22 VTIMEZONE and IANA			Y in process

 W-23 CAP Calendar property to allow/disallow	N
      overlapped booking OPAQUE entries?

 W-24 CAP Calendar CHARSET property issues	Y

 W-25 Remove MUST from UID in 4.8.4.7		Y

 W-26 Write/Submit information draft/rfc	Y

 W-27 How a query can specify if the recurrence	Y
      rules are to be expanded by the CS.

 W-28 Cal-Props - PATH				N
      (CAP-00 - 12.2)
      Will there need to be one?		N
      Optional?					N

 W-29 Import/Export				Y - sync only

 W-30 Transport protocol name (transport vs	Y
      application layer)

 W-31 NOOP command?				Y

 W-32 NOOP advisory only?			Y

 W-33 Should DISCONNECT be called QUIT?		U

 W-34 Format following error codes. Are		Y
      they well defined? If not they
      need to be machine determinable. 

 W-35 Move DNS and SLP to seperate draft?	Y

------------------------------------------------------------------------------

 The following are a list of action items for the draft editors:
 
 Draft Action Item				Who	Done (Y/N)
 -----------------				---	----------
	
 C-1 Remove unused definitions				N

 C-2 Fix up changes in authentication		Alex	Y
     text as commented on the list		Paul

 C-3 Text for 2.7 [Finding CAP Servers]		Doug	D
 
 C-4 VCAR examples				Doug?	Y
 
 C-5 PUBLISH text					Y
 
 C-6 REQUEST text					Y
 
 C-7 REPLY text						Y

 C-8 ADD text						Y
 
 C-9 CANCEL text 					Y
 
 C-10 REFRESH text					Y
 
 C-11 COUNTER text					Y
 
 C-12 DECLINECOUNTER Text				Y

 C-13 Post CAP-00.txt					Y

 C-14 Redo state diagram to include STARTTLS		Y
      and IDENTIFY command.

 C-15 Document the 'CALMASTER' calendar property	Y

 C-16 (2.11)  Query Schema				Y

 C-17 (7.2.1.5) MOVE Method

	More text needed - Who?

 C-18 (12.1) Calendar Store Properties			Y

	Editors note. (Per W-27)

 C-19 (12.2) SCHEDULABLE-HOURS				D

	Format? Text needs to be written.

 C-20 (13.) Security Considerations			Y

	See editors note - more text.

 C-21 Resubmit REQUIREMENTS draft.			Y

 C-22 Document MAXSIZE and MAXRESULT			N

 C-23 Document METHOD is stored in CS database		N
       Only one 'CREATE' per UID.
       Multple non-CREATE per UID.

 C-24 Fix the RESPONSE's to be consistant.		N
      and multiple components, one for each TARGET.

------------------------------------------------------------------------------

 The following are a list of action items for the iCalendar-2 draft:
 (iCal, iTIP, iMIP)

 Draft Action Item				Who	Done (Y/N)
 -----------------				---	----------

 I-1 MIME alternate/related			Frank	?
     MUST be supported.

 I-2 Remove ordering of properties and		Frank	?
     parameters in draft.

 I-3 S/MIME and RFC1847.			U
     [CAP] 2.2.3

 I-4 Add ALARMID to VALARM!

 I-5 iTIP error. VJOURNAL should be
     0 (not 0+) for CANCEL

------------------------------------------------------------------------------

Updates should be sent to mailto:[email-masked] or to myself
mailto:[email-masked]

--------------------------------------------------------------------------
Work: [email-masked]              Home    801 Woodside Rd #14-244
      530 E. Montecito St.                 Office: Redwood City, CA 94061
      Santa Barbara, CA 93103
      805-957-1790 x541                    Personal Email: [email-masked]

Tuesday discussion:

DONE
Section 2.4.3 - editor note:
	Change with new paragraph;  Groups may be in a directory with its
	own ACL model and CAP should use the directory service to expand a
	UPN subject to the directory service access control model
	for the authenticated entity.  

DONE
Section 2.4.4.1 - editor note:
	Your access is a  union of all your grants minus a union of all
	your denies.  (We still need to discuss  ordering - allow or not.
	We may not want to fool with it).

DONE
Section 2.4.4.2 - editor note:
	We need an example (Steve/Doug) - Paul needs to read this note an example).

Section 2.6
	CALID - need to define that relative CALID must be consistent with
	the scheme specific part of URI as defined in RFC xxx. - Steve

Section 2.9
	Will be discussed earlier in draft - remove altogether.

Section 7.1.3
	Need to get IANA registration

Section 7.1.3
	Delete editors note about blank on examples.  Need to add an
	unsuccessful login.  Delete all lines except the line that starts with
	"The following...." - (* Who will do this example)

DONE
Section 7.2.1.1.1
	Get rid of whole paragraph (pargraph above).  If you want to
	generate unique relative CALids, use the GENERATE UID command
	and use the result as the relative CALid.  (we need to make
	sure that the results are characters that are compatible
	with our definition of calids)

Section 7.2.1.3.
	The result needs to be consistent with CALID character rules
	(i.e. no spaces). The example needs one more line with a dot.
	Steve will do this.

DONE
Section 7.2.1.5
	This issue goes away because we are not doing heirarchial.
	Remove editors note

Section 7.2.1.7
	Add an example of a partial result - we want to get something that
	matches some things, and on the ones you don't have access, you don't
	have rights to some of the components. George will write up something. 

Section 7.2.2
	Need restriction tables.  Some are CAP - for the rest of them
	use iTIP tables (Steve/Doug) we all need to review the text

DONE
Section 7.2.3.2
	Pull editors note - fix applied

Section 8.0
	Response codes.  Need to make sure response codes in all drafts - iCal,
	iMip and iTip and examples. Error numbers need to be the same.  Put
	text about error codes in comments below the examples (so that
	people don't look at them as being required in their text).  Pat
	will look at the codes.	

Section 11.0
	DTN, DTSTAMP, etc are implementations that may need to be considered.
	Restrictions tables may resolve these issues. 

Section 12.0
	Leave as is until we get people to agree.  On version shipped after
	last call, this is what we are going to enhance this section. It
	does not make sense to do this until working group last call.
	Updates to iCalendar need to be written and will not be submitted
	to IANA until last call to WG. Doug

Section 13.0
	This section is not ready for prime time. Need Paul Hill.
	Need an editors note.

Section 14.0
	Needs to be reformatted - Doug will make sure it is consistent.
	George will do 14

DONE
Section 15.1.1.
	Steve - additions or changes to the CAP schema (replaces Define
	the Entity).  Word entity needs to be removed and replaced throughout
	the document).

Section 15.1.4
	Submit entity for approval - John submitted to list.  Need to find.
	Get John's text and add back into CAP draft.  John submitted as a
	separate draft document. Use the MIME appeal verbage with John's
	additional text. Point WG at John's draft and say it should be
	included in the draft.  We need to also submit to April Marine as well.

DONE
Section 16.0
	Remove reference to vCard

- - - - - - 
Assignment list:

Section 2.4.4.2 - VCAR example  (Steve/Doug)
Sectoin 2.6 - Steve will research
Section 7.1.3 - IANA registration (Pat)
Section 7.1.3 - example of unsuccessful login (Who)
Section 7.2.1.1. - look at Calid characters (Doug)
Section 7.2.1.3 - example line (Steve)
Section 7.2.1.7 - George will write some verbage and we need to add an example of partial results (Steve/Doug)
Section 7.2.2. - Restriction tables (Steve/Doug)
Section 8.0 - look at consistency of Response code in all drafts (Pat)
Section 12.0 - needs work. Check for consistency - Doug
Section 13.0 - Paul Hill
Section 14.0 - George
Section 15.1.1 - replace text (Pat)
Section 15.1.4 - add John's text to doc and put on list to look at proposal.
 - - - - -

Work on Restriction table

Editor note: Remove references to VDATA (mistake)

Editor note:
GENERATE UID is not a method.  It's wrong in section 7.1.2.3
Ditto with NOOP - Section 7.2.1.6